Skip to main content
GET
Get observability entrypoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

The unique identifier of the Upsun project

Pattern: [a-z0-9]+
Example:

"abc123def456"

environmentId
string
required

The environment identifier

Pattern: .+
Example:

"main"

Response

Observability entrypoint retrieved successfully

message
string
required

Welcome message

Example:

"bonjour, monde!"

project_id
string
required

Project identifier

Example:

"abc123def456"

branch_machine_name
string
required

Branch machine name

Example:

"main"

environment_id
string
required

Environment identifier

Example:

"main"

environment_type
enum<string>
required

Environment type classification

Available options:
production,
staging,
development
Example:

"production"

vendor
enum<string>
required

Platform vendor identifier

Available options:
upsun,
platformsh
Example:

"upsun"

psh_user_identifier
string
required

Authenticated user identifier

Example:

"user@example.com"

HATEOAS navigation links to all observability endpoints

retention
object
required

DEPRECATED: Data retention periods in minutes per resource type. Use data_retention instead.

data_retention
object
required

Data retention policies per metric type with periods in minutes

Last modified on June 16, 2026